<%@ page language="java" import="java.util.*" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<c:set var="contextPath" value="${pageContext.request.contextPath}"></c:set>

<%@include file="/WEB-INF/page/header.jsp" %>
<script>changeMenu(2,3);//左边菜单active</script>
<div class="row white-bg border-bottom white-bg page-heading">
	<div class="col-lg-12">
		<h2>保单信息</h2>
		<ol class="breadcrumb">
			<li>主页</li>
			<li><a>保单信息</a></li>
			<li class="active"><strong>待出函</strong></li>
		</ol>
	</div>
</div>

<div class="wrapper wrapper-content">
	<div class="row">
		<div class="col-lg-12">
			<div class="ibox float-e-margins">
				<div class="ibox-content">
					<div class="row">
						<div class="col-sm-2">
							<div class="input-group m-b"><span class="input-group-addon"><i class="fa fa-calendar"></i></span>
								<input type="text" class="input-sm form-control" placeholder="选择开始日期" id="startDate">
							</div>
						</div>
						<div class="col-sm-2">
							<div class="input-group m-b"><span class="input-group-addon"><i class="fa fa-calendar"></i></span>
								<input type="text" class="input-sm form-control" placeholder="选择结束日期" id="endDate">
							</div>
						</div>
                        <div class="col-sm-3">
                            <div class="input-group"><input type="text" id="keyword" placeholder="订单号、法院" class="input-sm form-control"><span class="input-group-btn">
                                <button type="button" class="btn btn-sm btn-primary" onclick="search()"> 查询</button> </span></div>
                        </div>
                    </div>
					<div class="row">
						<div class="col-md-12 jqGrid_wrapper">
							<table id="gridTable3"></table>
							<div id="gridPager3"></div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<div id="modal-uploadGuarantee" class="modal fade" tabindex="-1">
	<div class="modal-dialog" style="max-width: 800px;max-height: 660px;overflow-y: scroll;">
		<div class="modal-content"  >
			<div class="modal-header">
      			<div class="table-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">
						<span class="white">&times;</span>
					</button>
					上传保函
				</div>
	      	</div>
	      	<div class="modal-body" >
	      		<form id="otherForm" class="form-horizontal">
				<input type="hidden" id="modal-orderid" value="">
                <div class="form-group">
                  	<label class="col-sm-3 control-label">
                  		保函图片
                  	</label>
                    <div class="col-sm-9 text-left">
                    	<div id="div71" class="checkbox-inline"></div>
						<button class="btn btn-primary btn-white checkbox-inline" type="button" onclick="uploadPic(71)">上传图片</button>
					</div>
                </div>
                <c:if test="${sessionScope.SESSION_COMPANY.companyType==0}">
                	<div class="form-group" style="display:none;">
	                  	<label class="col-sm-3 control-label">
	                  		保单图片
	                  	</label>
	                    <div class="col-sm-9 text-left">
	                    	<div id="div72" class="checkbox-inline"></div>
							<button class="btn btn-primary btn-white checkbox-inline" type="button" onclick="uploadPic(72)">上传图片</button>
						</div>
	                </div>
                </c:if>
                <c:if test="${sessionScope.SESSION_COMPANY.companyType==1}">
	                <div class="hr-line-dashed"></div>
	                <div class="form-group">
	                  	<label class="col-sm-3 control-label">
	                  		保单图片
	                  	</label>
	                    <div class="col-sm-9 text-left">
	                    	<div id="div72" class="checkbox-inline"></div>
							<button class="btn btn-primary btn-white checkbox-inline" type="button" onclick="uploadPic(72)">上传图片</button>
						</div>
	                </div>
                </c:if>
                <div class="hr-line-dashed"></div>
                <div class="form-group">
                  	<label class="col-sm-3 control-label">
                  		发票图片
                  	</label>
                    <div class="col-sm-9 text-left">
                    	<div id="div73" class="checkbox-inline"></div>
						<button class="btn btn-primary btn-white checkbox-inline" type="button" onclick="uploadPic(73)">上传图片</button>
					</div>
                </div>
                <div class="hr-line-dashed"></div>
					<div class="form-group">
						<label class="col-sm-3 control-label">
							输入上门取件信息
						</label>
						<div class="col-sm-9 text-left">
						</div>
					</div>
					<div class="form-group">
						<label class="col-sm-3 control-label">
							选择地区：
						</label>
						<div class="col-sm-4 text-left">
							<select class="form-control" id="address-province">
								<option selected value="0">省</option>
							</select>
						</div>
						<div class="col-sm-4 text-left">
							<select class="form-control" id="address-city">
								<option selected value="0">市</option>
							</select>
						</div>
					</div>
					<div class="form-group">
						<label class="col-sm-3 control-label">
							详细地址：
						</label>
						<input class="col-sm-9 text-left" id="address-detail">
					</div>
					<div class="form-group">
						<label class="col-sm-3 control-label">
							联系人：
						</label>
						<input class="col-sm-3 text-left" id="contacts-name">
						<label class="col-sm-3 control-label">
							手机号码：
						</label>
						<input class="col-sm-3 text-left" id="contacts-phone">
					</div>
                </form>
	      	</div>
			<div class="modal-footer no-margin-top">
				<div class="text-center">
					<button id="mod-check-success" type="button" class="btn btn-sm btn-primary" onclick="updateBhCommit()">
						确定
					</button>
					<button class="btn btn-sm" data-dismiss="modal">
						取消
					</button>
				</div>
			</div>
		</div>
	</div>
</div>

<div id="mod-pic" class="modal fade" tabindex="-1">
	<div class="modal-dialog" style="max-width: 500px;">
		<div class="modal-content">
			<div class="modal-header no-padding">
				<div class="table-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">
						<span class="white">&times;</span>
					</button>
					图片上传
				</div>
			</div>
			<div class="modal-body">
				<div class="row">
					<div class="col-xs-12">
						<!-- PAGE CONTENT BEGINS  -->
						<form id="picform" >
							<input id="picFileId" type="file" name="file" multiple />
							<input type="hidden" name="attachType" id="mod-pic-attachType"/>
							<input type="hidden" name="orderId" id="mod-pic-orderId"/>
							<div class="hr hr-12 dotted"></div>
							<div class="text-center">
							<button type="button" class="btn btn-sm btn-primary" onclick="picUpload();">上传</button>
							<button type="reset" class="btn btn-sm">清除</button>
							</div>
						</form>
					</div><!-- /.col -->
				</div><!-- /.row -->
				
			</div>
		</div><!-- /.modal-content -->
	</div><!-- /.modal-dialog -->
</div>

<!-- 模态框（Modal） -->
<div id="modal-dispatch" class="modal fade" tabindex="-1" data-backdrop="static">
  <div class="modal-dialog" style="min-width: 400px;">
    <div class="modal-content">
       <div class="modal-header bg-primary">
           <button type="button" class="close white" data-dismiss="modal" aria-hidden="true">×</button>
           <h4 class="modal-title text-center" id="myModalLabel">配送</h4>
       </div>
     <div class="modal-body" id="modal-view-order-body">
      <form id="viewOrderForm" class="form-horizontal">
        <input type="hidden" name="orderId" id="modal-dispatch-orderId" />
        <div class="col-sm-12 text-left" style="margin-bottom:15px;">请谨慎操作，如果虚假出函，则关闭服务！</div>  
        <div class="form-group text-left" id="mod-audit-LawyerName-div">
          <label class="col-sm-3 control-label">收件人:</label>
          <label class="control-label" id="modal-dispatch-name"></label>   
        </div>
        <div class="form-group text-left" id="mod-audit-LawyerName-div">
          <label class="col-sm-3 control-label">联系电话:</label>
          <label class="control-label" id="modal-dispatch-phone"></label>
        </div>
        <div class="form-group text-left" id="mod-audit-LawyerName-div">
         <label class="col-sm-3 control-label">收件地址:</label>
         <label class="control-label" id="modal-dispatch-address"></label>
        </div>
        <hr class="style-one" style="border: 0;height: 1px;background: #333;
        background-image: linear-gradient(to right, #ccc, #333, #ccc);">        
        <div class="form-group text-left" id="mod-audit-LawyerName-div">
          <div class="col-sm-3 control-label">配送方式:</div>
          <div class="col-sm-2 control-label text-left">
             <select class="select" id="orderShippingType" onchange="orderShippingTypeOnchange();">
             <option value="4" selected = "selected">快递配送</option>
             <option value="6">专人送函</option>
             <option value="5">同城闪送</option>
          </select>
          </div>
        </div>
        <div class="form-group text-left" id="modal-Ship-company">
          <label class="col-sm-3 control-label text-left">快递公司:</label>
          <div class="col-sm-9">
            <input type="text" id="mod-dispatch-company" class="col-sm-9"/>
          </div>
        </div>      
        <div class="form-group text-left" id="modal-Ship-id">
          <label class="col-sm-3 control-label text-left">快递单号:</label>
          <div class="col-sm-6">
            <input type="text" id="mod-dispatch-id" class="col-sm-9"/>
          </div>
        </div>
        
        <div class="form-group text-left" id="modal-Ship-name">
          <label class="col-sm-3 control-label text-left">配送员姓名:</label>
          <div class="col-sm-9">
            <input type="text" id="mod-dispatch-name" class="col-sm-9"/>
          </div>
        </div>      
        <div class="form-group text-left" id="modal-Ship-mobile">
          <label class="col-sm-3 control-label text-left">配送员电话:</label>
          <div class="col-sm-6">
            <input type="text" id="mod-dispatch-mobile" class="col-sm-9"/>
          </div>
        </div>     
        <!--  <div class="form-group text-left" id="modal-Ship-time">
          <label class="col-sm-3 control-label text-left">送达时间:</label>
          <div class="col-sm-6">
            <input class="form-control" id="dispatch1ReachTime" size="16" type="text" placeholder="送达时间" readonly/> 
          </div>
        </div>-->
        <hr class="style-one" style="border: 0;height: 1px;background: #333;
        background-image: linear-gradient(to right, #ccc, #333, #ccc);">
      </form>
     </div>
     <div class="modal-footer no-margin-top">
      <div class="text-center">     
        <button class="btn " data-dismiss="modal"><i class="fa fa-share bigger-160"></i>取消</button>
        <button class="btn btn-primary" type="button" id="mod-dispatch-submit"><strong>确定</strong></button>
      </div>
     </div>
   </div>
  </div>
</div>

<%@include file="/WEB-INF/page/order/orderDetail.jsp" %>

<%@include file="/WEB-INF/page/footer.jsp" %>


<link href="${contextPath}/static/css/plugins/jQueryUI/jquery-ui-1.10.4.custom.min.css" rel="stylesheet" />
<link href="${contextPath}/static/css/plugins/jqGrid/ui.jqgrid.css" rel="stylesheet">

<script src="${contextPath}/static/js/plugins/jqGrid/jquery.jqGrid.min.js"></script>
<script src="${contextPath}/static/js/plugins/jqGrid/i18n/grid.locale-cn.js"></script>

<link rel="stylesheet" href="${contextPath}/static/ssdb/ace.fileinput.css"/>


<link href="${contextPath}/static/js/plugins/bootstrap-datetimepicker/css/bootstrap-datetimepicker.min.css" rel="stylesheet">
<script src="${contextPath}/static/js/plugins/bootstrap-datetimepicker/js/bootstrap-datetimepicker.min.js"></script>
<script src="${contextPath}/static/js/plugins/bootstrap-datetimepicker/js/locales/bootstrap-datetimepicker.zh-CN.js"></script>
 
<!-- Data picker -->
<script src="${contextPath}/static/js/plugins/datapicker/bootstrap-datepicker.js"></script>
 
<script src="${contextPath}/static/js/plugins/lazyload/jquery.lazyload.js"></script>
<!-- 阿里OSS  JSSDK -->
<script type="text/javascript" src="${contextPath}/static/ssdb/promise-6.1.0.js"></script>
<script type="text/javascript" src="http://gosspublic.alicdn.com/aliyun-oss-sdk-4.3.0.min.js"></script>
<script type="text/javascript" src="${contextPath}/static/ssdb/ace.fileinput.js"></script>  
<script type="text/javascript" src="${contextPath}/static/ssdb/uuid.js"></script>
<script type="text/javascript" src="${contextPath}/static/ssdb/picupload.js?v=2"></script>

<script type="text/javascript">
	var currentOrderId = null;
	var gridTable1 = null;
	var grid_selector = "#gridTable3";
	var notSubmitSaveWlInfo = true;
	var pager_selector = "#gridPager3";
	jQuery(function($) {
		$('#startDate').datepicker({
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            calendarWeeks: true,
            autoclose: true,
            format: "yyyy-mm-dd"
        });
        $('#endDate').datepicker({
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            calendarWeeks: true,
            autoclose: true,
            format: "yyyy-mm-dd"
        });
		
		initGridTable();
		// resize to fit page size
		$(window).on("resize.jqGrid", function() {
			$(grid_selector).jqGrid("setGridWidth", $(".page-content").width());
		});
		// resize on sidebar collapse/expand
		var parent_column = $(grid_selector).closest("[class*='col-']");
		$(document).on("settings.ace.jqGrid", function(ev, event_name, collapsed) {
			if (event_name === "sidebar_collapsed" || event_name === "main_container_fixed") {
				// setTimeout is for webkit only to give time for DOM changes and then redraw!!!
				setTimeout(function() {
					$(grid_selector).jqGrid("setGridWidth", parent_column.width());
				}, 0);
			}
		});
		
		$(document).one('ajaxloadstart.page', function(e) {
			$(grid_selector).jqGrid('GridUnload');
			$('.ui-jqdialog').remove();
		});
		
		$('#mod-uploadGuarantee-submit').on('click', function() {
			var orderId = $("#modal-orderid").val();
			var provinceCode = $("#address-province").val();
			var cityCode = $("#address-city").val();

            var addressDateail = $("#address-detail").val();
            var contactsName = $("#contacts-name").val();
            var contactsPhone = $("#contacts-phone").val();
            console.log("uploadGuaranteeSubmit11");
            $.ajax({
                 dataType : "json",
                 url : "${contextPath}/company/updateAddress",
                 type : "post",
                 async:false,
                ata : {
                     'orderId' : orderId,
                     'provinceCode' : provinceCode,
                     'cityCode' : cityCode,
                     'addressDateail' : addressDateail,
                     'contactsName' : contactsName,
                     'contactsPhone' : contactsPhone
                 },
                 success : function(ret) {
                    if(!ret){
						alert("取件信息更新失败！")
                      }
                    }
                });
            console.log("uploadGuaranteeSubmit");
			uploadGuaranteeSubmit();
		});
		
		$('#mod-dispatch-submit').on('click', function() {
			saveShipInfo();
		});

	 	// Add responsive to jqGrid
        $(window).bind('resize', function () {
            var width = $('.jqGrid_wrapper').width();
            gridTable1.setGridWidth(width);
        });
	});
	
    function orderShippingTypeOnchange(){
        var orderShippingType = $("#orderShippingType").val();
        if (orderShippingType==5||orderShippingType==6) {
           $("#modal-Ship-company").hide();
           $("#modal-Ship-id").hide();
           $("#modal-Ship-name").show();
           $("#modal-Ship-mobile").show();
           $("#modal-Ship-time").show();
        } else {
           $("#modal-Ship-company").show();
           $("#modal-Ship-id").show();
           $("#modal-Ship-name").hide();
           $("#modal-Ship-mobile").hide();
           $("#modal-Ship-time").hide();
        }
      }	
    //保存配送信息
    function saveShipInfo(){
      var orderId = $("#modal-dispatch-orderId").val();
      var company = $("#mod-dispatch-company").val();
      var id = $("#mod-dispatch-id").val();
      var name = $("#mod-dispatch-name").val();
      var mobile = $("#mod-dispatch-mobile").val();
      var orderShippingType = $("#orderShippingType").val();
      var url = '${contextPath}/order/saveShipInfo';
      
      var parameters = {'orderId':orderId,'company':company,'id':id,'name':name,'mobile':mobile,'orderShippingType':orderShippingType};
      postData(url, parameters, saveWlInfoCallback, saveWlInfoCallbackErrorCallback);
    }
    
    function orderShipShow1(){
        alert("已配送");
        return;
      }
      function orderShipShow(id){
          var url = '${contextPath}/order/getOrderWLInfo';
          var parameters = {"orderId":id};
          $.post(url, parameters, function (data) {
             if (data.success) {
              $("#modal-dispatch-orderId").val(id);
              $("#modal-dispatch-address").html(data.wlInfos[0].address);
              $("#modal-dispatch-name").html(data.wlInfos[0].receiver);
              $("#modal-dispatch-phone").html(data.wlInfos[0].mobile);
              
              if(data.orderShippingType==4){
            	  $("#orderShippingType option[value='4']").attr("selected", true);
                 $("#orderShippingType option[value='5']").attr("selected", false);
                 $("#orderShippingType option[value='6']").attr("selected", false);
              } else if(data.orderShippingType==5){
                  $("#orderShippingType option[value='4']").attr("selected", false);
                  $("#orderShippingType option[value='5']").attr("selected", true);
                  $("#orderShippingType option[value='6']").attr("selected", false);
              } else if(data.orderShippingType==6){
                  $("#orderShippingType option[value='4']").attr("selected", false);
                  $("#orderShippingType option[value='5']").attr("selected", false);
                  $("#orderShippingType option[value='6']").attr("selected", true);
              }
              if (data.orderShippingType==5||data.orderShippingType==6) {
                  $("#modal-Ship-company").hide();
                  $("#modal-Ship-id").hide();
                  $("#modal-Ship-name").show();
                  $("#modal-Ship-mobile").show();
                  $("#modal-Ship-time").show();
               } else {
                  $("#modal-Ship-company").show();
                  $("#modal-Ship-id").show();
                  $("#modal-Ship-name").hide();
                  $("#modal-Ship-mobile").hide();
                  $("#modal-Ship-time").hide();
               }
              $("#mod-dispatch-company").val("");
              $("#mod-dispatch-id").val("");
              $("#mod-dispatch-name").val("");
              $("#mod-dispatch-mobile").val("");
              //$("#modal-Ship-time").val("");      
              $("#modal-dispatch").modal('toggle');
             } else {
              alert("获取配送信息出错："+data.message);
             }
          });
      }
          
	//删除图片
	function deletePic(id){
		$('#picDiv' + id).hide();
		var url = '${contextPath}/order/deleteAttachById';
		var parameters = {"id":id};
		postData(url, parameters, deletePiCallback, errorCallbackDefault);
	}

    function deletePiCallback(data){
    	if(data.success){
    		showMsg('删除成功');
    		loadPic(data.attachType);
    	}else{
    		$('#picDiv' + data.attachType).show();
			showMsg(data.message);
		}
    }

	//显示配送
	function dispatchOperation1(id){
		showMsg('请上传保函');
	}
	
	//显示配送
	function dispatchOperation(id){
		currentOrderId = id;
		var ids = ['71','72','73'];
		for(var i in ids){
			$('#div' + ids[i]).html('');
		}
		loadWlInfo();
	}

	function errorCallbackDefault(data){
		
	}
	
    function loadPic(attachType){
    	var url = '${contextPath}/order/getOrderAttachsByType';
		var parameters = {"orderId":currentOrderId,"attachType":attachType};
		postData(url, parameters, loadPiCallback, errorCallbackDefault);
    }
    
    function loadPiCallback(data){
    	if(data.success){
    		var url = '${oss_bucket_ssdb_url}';
            var thum = '${oss_bucket_ssdb_url_img}';
            var size = '${oss_bucket_ssdb_url_img_size}';
            var v = null;
            var sec = '';
            for(var i in data.attachs){
                v = data.attachs[i];
                //url = "${ServerC}/ssdbOrderPic?orderAttachId="+v.id;

                sec += '<div style="text-align:center;display:inline-block;vertical-align:top;" id="picDiv' + v.id + '">';
                sec += '<a href="' + url + v.path + '" target="_blank">';
                sec += '<img class="lazy" src="${contextPath}/static/img/loading.gif" data-original="' + thum + v.path + size + v.suffix.toLowerCase() + '" height="100" width="100" id="' + v.id + '"/>';
                sec += '</a><br/><a href="javascript:void(0)" onclick="deletePic(\'' + v.id + '\')">删除</a>';
                sec += '</div>&nbsp;';
            }
            $("#div" + data.attachType).html(sec);
            setTimeout(function () {
                $("img.lazy").lazyload({
                    threshold : 200
                });
            }, 200);
    	}else{
			showMsg(data.message);
		}
    }

	function loadWlInfo(){
		$("#dispatchTypeTr").hide();
		var ids=['dispatch1SendType','dispatch1Receiver','dispatch1TdRandom1','dispatch1Mobile','dispatch1TdRandom2','dispatch1Address','dispatch1ReachTime','dispatch1WlCompany','dispatch1WlOrderId','dispatch1Id','dispatch2SendType','dispatch2Receiver','dispatch2TdRandom1','dispatch2Mobile','dispatch2TdRandom2','dispatch2Address','dispatch2ReachTime','dispatch2WlCompany','dispatch2WlOrderId','dispatch2Id'];
		for(var i in ids){
			$('#' + ids[i]).html('');
		}
		var url = '${contextPath}/order/getOrderWLInfo';
		var parameters = {"orderId":currentOrderId};
		postData(url, parameters, loadWlInfoCallback, errorCallbackDefault);
	}

	function loadWlInfoCallback(data){
		if(data.success){
			var ids=['dispatch1SendType','dispatch1Receiver','dispatch1TdRandom1','dispatch1Mobile','dispatch1TdRandom2','dispatch1Address','dispatch1ReachTime','dispatch1WlCompany','dispatch1WlOrderId','dispatch1Id','dispatch2SendType','dispatch2Receiver','dispatch2TdRandom1','dispatch2Mobile','dispatch2TdRandom2','dispatch2Address','dispatch2ReachTime','dispatch2WlCompany','dispatch2WlOrderId','dispatch2Id'];
			var dateDivids = ['dispatch1ReachTimeDiv','dispatch2ReachTimeDiv'];
			for(var i in ids){
				$('#' + ids[i]).html('');
			}
			var wls = data.wlInfos;
			var wl = null;
			var m = null;
			var iShow = true;
			for(var j in wls){
				iShow = false;
				wl = wls[j];
				m = parseInt(wl.fileType);
				$('#' + ids[m * 10 + 2]).html('');
				$('#' + ids[m * 10 + 4]).html('');
				if('0' == wl.sendType){
					needInitDate = true;
					$('#' + ids[m * 10]).html('快递配送');
					$('#' + ids[m * 10 + 2]).html(
						'<input class="form-control" id="' + ids[m * 10 + 7] +'" size="16" type="text" placeholder="快递公司名称">'
					);
					$('#' + ids[m * 10 + 4]).html(
						'<input class="form-control" id="' + ids[m * 10 + 8] +'" size="16" type="text" placeholder="快递单号">'
					);
				}else{
					$('#' + ids[m * 10]).html('上门配送');
					$('#' + ids[m * 10 + 2]).html(
						'<div class="input-group date form_datetime" data-date-format="yyyy-mm-dd  hh:ii" id="' + dateDivids[m] + '">' + 
			                    '<input class="form-control" id="' + ids[m * 10 + 6] +'" size="16" type="text" placeholder="送达时间" readonly/>' + 
								'<span class="input-group-addon"><span class="glyphicon glyphicon-th"></span></span>' + 
			            '</div>'		
					);
					initDatetimepicker(dateDivids[m]);
				}
				$('#' + ids[m * 10 + 1]).html(wl.receiver);
				$('#' + ids[m * 10 + 3]).html(wl.mobile);
				$('#' + ids[m * 10 + 5]).html(wl.address);
				$('#' + ids[m * 10 + 9]).html(wl.id);
			}
			if(iShow){
				$("#ssdbOrderId").html(data.orderId);
				$("#dispatchTypeTr").show();
				dispatchTypeOnchange();
			}
			$("#modal-dispatch").modal('toggle');
		}else{
			showMsg(data.message);
		}
	}
	
	function initGridTable(){
		gridTable1 = jQuery(grid_selector).jqGrid({
			subGrid : false,
   			url : "${contextPath}/order/getOrders?orderState=3&orderServiceType=0",//
   			datatype : "json",
   			height : "auto",
   			autowidth:true,
   			colModel : [{
   				name : "createDate",
   				index : "createDate",
   				label : "订单时间",
   				width : 90,
   				search : false
        	},{
   				name : "orderId",
   				index : "orderId",
   				label : "订单号",
   				width : 60,
   				search : false
        	},{
   				name : "courtName",
   				index : "courtName",
   				label : "法院",
   				width : 80,
   				search : false
        	},{
   				name : "plaintiff",
   				index : "plaintiff",
   				label : "原告",
   				width : 40,
   				search : false
        	},{
   				name : "sqbd",
   				index : "sqbd",
   				label : "保全金额",
   				width : 60,
   				sortable: false,
   				search : false
        	},{
   				name : "sbRate",
   				index : "sbRate",
   				label : "费率",
   				width : 50,
   				search : false
        	},{
                name : "bf",
                index : "bf",
                label : "保费",
                width : 50,
                search : false
            },{
   				name : "lsDate",
   				index : "lsDate",
   				label : "承诺出函时间",
   				width : 100,
   				search : false,
                formatter : optionFormatter
        	},{
   				name : "remark",
   				index : "remark",
   				label : "备注",
   				width : 60,
   				search : false
        	},{
   				align : "center",
   				name : "uploadState",
   				index : "uploadState",
   				label : "操作",
   				width : 200,
   				sortable: false,
   				fixed:true,
   				viewable:false,
   				formatter:operationLink
        	},{
   				name : "outOrderId",
   				index : "outOrderId",
   				label : "出函编号",
   				width : 100,
   				search : false,
   				hidden : true
        	}],
   			sortname : "createDate",
   			sortorder : "desc",
   			viewrecords : true,
   			rowNum : 10,
   			rowList : [ 10, 20, 30 ],
   			pager : pager_selector,
   			altRows : true,
   			//toppager : true,
   			multiselect : false,
   			//multikey : "ctrlKey",
   	        multiboxonly : true,
   	     	rownumbers:true,  
      		rownumWidth:30, 
   	        
		});
	}

	//向后台请求数据
	function postData(url, parameters, successCallback, errorCallback){
		$.ajax({
		    type : "POST",
		    url : url,
		    data : parameters,
		    dataType : "json",
		    success : function(data) {
		    	successCallback(data); 
		    },
		    error : function(data) {
		    	errorCallback(data);
		    }
	    }); 
	}
	
	//操作链接
	function operationLink(cellvalue, options, rowObject){
		var result = '';
		if('0' == cellvalue){
			result = '<a href="javascript:void(0);" style="color:blue" onclick="uploadGuaranteeOperation(\'' + rowObject.orderId + '\',\'' + cellvalue + '\',\'' + rowObject.outOrderId + '\')">上传保函</a>'
		}else{
			result = '<a href="javascript:void(0);" style="color:blue" onclick="uploadGuaranteeOperation(\'' + rowObject.orderId + '\',\'' + cellvalue + '\',\'' + rowObject.outOrderId + '\')">已上传</a>&nbsp;|&nbsp;'
			   +'<a href="javascript:void(0);" style="color:blue" onclick="orderShipShow(\'' + rowObject.orderId + '\')">配送</a>';
		}
		result += '&nbsp;|&nbsp;<a href="javascript:void(0);" style="color:blue" onclick="showdetail(\''+rowObject.orderId+'\')">详细</a>';
        result += '&nbsp;|&nbsp;<a href="javascript:void(0);" style="color:blue" onclick="showRemark(\''+rowObject.remark+'\','+ rowObject.orderId +',\''+grid_selector+'\')">添加备注</a>';
        return result;
	}

    function optionFormatter(cellvalue, options, cell) {
        var template = cell.lsDate ;
        if (cell.lsOverTime) {
            template += "  <button type=\"button\" style='background-color: #d30404;'><span style='color:white'>已超时</span></button>";
        }
        return template;
    }
	
	function reloadGrid(){
		gridTable1.trigger('reloadGrid');
	}
	
	//保存配送信息
	function saveWlInfo(){
		if(notSubmitSaveWlInfo){
			var ids=['dispatch1SendType','dispatch1ReachTime','dispatch1WlCompany','dispatch1WlOrderId','dispatch1Id','dispatch2SendType','dispatch2ReachTime','dispatch2WlCompany','dispatch2WlOrderId','dispatch2Id'];
			var wl,sendType,reachTime,company,orderId = null;
			var ssdbOrderId = $('#ssdbOrderId').html();
			var array = new Array();
			for(var i=0;i<2;i++){
				wl = {'id':$('#' + ids[i * 5 + 4]).html()};
				sendType = $('#' + ids[i * 5]).html();
				sendType = sendType == '快递配送' ? '1':'0';
				wl['sendType'] = sendType;
				if(ssdbOrderId.length > 0){
					wl['orderId'] = ssdbOrderId;
					wl['fileType'] = i;
				}
				if('0' == sendType){
					reachTime = $('#' + ids[i * 5 + 1]).val();
					if(reachTime == ''){
						showMsg('送达时间不能为空');
						return false;
					}
					wl['reachTime'] = reachTime;
				}else{
					company = $('#' + ids[i * 5 + 2]).val();
					if(company == ''){
						showMsg('快递公司名称不能为空');
						return false;
					}
					orderId = $('#' + ids[i * 5 + 3]).val();
					if(orderId == ''){
						showMsg('快递单号不能为空');
						return false;
					}
					wl['wl_company'] = company;
					wl['wl_order'] = orderId;
				}
				array.push(wl);
			}
			notSubmitSaveWlInfo = false;
			var url = '${contextPath}/order/saveWLInfo';
			var parameters = {'wls':JSON.stringify(array)};
			postData(url, parameters, saveWlInfoCallback, saveWlInfoCallbackErrorCallback);
		}else{
			showMsg('保存中请稍候');
		}
	}
	
	//保存配送信息成功后回调
	function saveWlInfoCallback(data){
		notSubmitSaveWlInfo = true;
		if(data.success){
			showMsg('保存成功');
			$("#modal-dispatch").modal('toggle');
			reloadGrid();
		}else{
			showMsg(data.message);
		}
	}
	
	//保存配送信息失败后回调
	function saveWlInfoCallbackErrorCallback(data){
		notSubmitSaveWlInfo = true;
	}

	function search(){
		var keyword =$("#keyword").val();
        var startDate =$("#startDate").val();
        var endDate =$("#endDate").val();
		gridTable1.setGridParam({postData:{'keyword':keyword,'startDate':startDate,'endDate':endDate,'orderState':3},url : '${contextPath}/order/getOrders',page:1}).trigger('reloadGrid');
	}
	
	//显示信息
	function showMsg(msg){
		if(msg != undefined && msg.length > 0){
			alert(msg);
		}
	}
	
	//显示上传保函
	function uploadGuaranteeOperation(id,status,outOrderId){
		currentOrderId = id;
		//if('0' != status){
			var ids = ['71','72','73'];
			var id = null;
			for(var i in ids){
				id = ids[i];
				$('#div' + id).html('');
				loadPic(id);
			}
		//}
		$('#outOrderId').val(outOrderId);
		$("#modal-uploadGuarantee").modal('toggle');

		$("#modal-orderid").val(currentOrderId);
		//清空
        $("#address-detail").val("");
        $("#contacts-name").val("");
        $("#contacts-phone").val("");
        $("#address-province").html("");
        $("#address-city").html("");

		//获取快递地址
        $.ajax({
            dataType : "json",
            url : "${contextPath}/order/getExpressAddress",
            type : "post",
            data : {
                'orderId' : currentOrderId,
            },
            success : function(ret) {
                if(ret != null){
                    var optionProvince = '';
                    var provinceArray = ret.provinceList ;
                    for(var i=0; i<provinceArray.length; i++) {
                        optionProvince += '<option value=' + provinceArray[i].code +'>'+provinceArray[i].areaName +'</option>';
                    }
                    $("#address-province").append(optionProvince);
					//选中
                    $("#address-province").val(ret.targetProvinceCode);

                    var optionCity = '';
                    var cityListArray = ret.cityList ;
                    for(var i=0; i<cityListArray.length; i++) {
                        optionCity += '<option value=' + cityListArray[i].code +'>'+cityListArray[i].areaName +'</option>';
                    }
                    $("#address-city").append(optionCity);
                    //选中
                    $("#address-city").val(ret.targetCityCode);

                    $("#address-detail").val(ret.addressDetail);
                    $("#contacts-name").val(ret.contactsName);
                    $("#contacts-phone").val(ret.contactsPhone);

                    }
                }
        });
	}

    $("#address-province").change(function(){
       var selectval = $("#address-province").val();

        $.ajax({
            dataType : "json",
            url : "${contextPath}/pub/getAreas",
            type : "post",
            data : {
                'parentCode' : selectval,
            },
            success : function(ret) {
                if(ret != null){
                    var optionCity = '';
                    var cityListArray = ret;
                    $("#address-city").html(optionCity);
                    for(var i=0; i<cityListArray.length; i++) {
                        optionCity += '<option value=' + cityListArray[i].code +'>'+cityListArray[i].name +'</option>';
                    }
                    $("#address-city").append(optionCity);
                    //选中
                    $("#address-city").val(0);
                }
            }
        });
    });

    $("#address-city").change(function(){
        var selectval = $("#address-city").val();
        var orderId = $("#modal-orderid").val();
		//根据公司id 和 省市 返回具体地址
        $.ajax({
            dataType : "json",
            url : "${contextPath}/company/getAddressDetail",
            type : "post",
            data : {
                'cityCode' : selectval,
				'orderId' : orderId
            },
            success : function(ret) {
                if(ret.success){
                    var tempRet = ret.expressAddress;
                    $("#address-detail").val(tempRet.detailAddress);
                    $("#contacts-name").val(tempRet.contactName);
                    $("#contacts-phone").val(tempRet.contactPhone);
                } else {
                    $("#address-detail").val("");
                    $("#contacts-name").val("");
                    $("#contacts-phone").val("");
                }
            }
        });
    });


    function uploadGuaranteeSubmit(){
    	var count = 0;
    	var ids = ['71','72','73'];
		var id = null;
		for(var i in ids){
			id = ids[i];
			count += $('#div' + id).children().length;
		}
		if(count > 0){
			$("#modal-uploadGuarantee").modal('toggle');
			var url = '${contextPath}/order/saveUploadGuarantee';
			var parameters = {"orderId":currentOrderId, "outOrderId":$("#outOrderId").val()};
			postData(url, parameters, uploadGuaranteeSubmitCallback, errorCallbackDefault);
		}else{
			showMsg('请上传图片');
		}
    }

	//上传保函成功后回调
	function uploadGuaranteeSubmitCallback(data){
		if(data.success){
			showMsg('保存成功');
			reloadGrid();
		}else{
			showMsg(data.message);
		}
	}
	
	function updateBhCommit() {
        var orderId = $("#modal-orderid").val();
        var provinceCode = $("#address-province").val();
        var cityCode = $("#address-city").val();

        var addressDateail = $("#address-detail").val();
        var contactsName = $("#contacts-name").val();
        var contactsPhone = $("#contacts-phone").val();
        $.ajax({
            dataType : "json",
            url : "${contextPath}/company/updateAddress",
            type : "post",
            async:false,
            data : {
                'orderId' : orderId,
                'provinceCode' : provinceCode,
                'cityCode' : cityCode,
                'addressDateail' : addressDateail,
                'contactsName' : contactsName,
                'contactsPhone' : contactsPhone
            },
            success : function(ret) {
                if(!ret){
                    alert("取件信息更新失败！")
                }
            }
        });
        uploadGuaranteeSubmit();
    }
	
    function uploadPic(attachType){
    	$("#mod-pic").modal("toggle");
    	$("#mod-pic-attachType").val(attachType);
    	$("#mod-pic-orderId").val(currentOrderId);
    }
    
    function uploadSuccess(){
    	$("#mod-pic").modal("toggle");
    	var t = $("#mod-pic-attachType").val();
    	loadPic(t);
    }

    var appServer = 'http://b.duowenlvshi.com/oss/token?name=ssdb';
    var bucket = '${oss_bucket_ssdb}';
    var region = 'oss-cn-shenzhen';
    var Buffer = OSS.Buffer;
    var OSS = OSS.Wrapper;
    var STS = OSS.STS;
    var applyTokenDo = function(func) {
        var url = appServer;
        $.ajax({
            type: "POST",
            url: url,
            data: "",
            dataType: "jsonp",
            success: function(e) {
                var client = new OSS({
                    region: region,
                    accessKeyId: e.AccessKeyId,
                    accessKeySecret: e.AccessKeySecret,
                    stsToken: e.SecurityToken,
                    bucket: bucket
                });
                return func(client);
            },
            error: function(data) {
                console.log(data);
            }
        });
    }
    ;
    var uploadFile = function(client) {
    	 var picFile=document.getElementById('picFileId').files[0];
    	 var orderId=document.getElementById('mod-pic-orderId').value;
    	 var fileName = UUIDjs.create().hex;
    	 var fileType = getFileType(picFile.name);
         var key = "ssdb/order/${sessionScope.SESSION_COMPANY.id}/bd/"+orderId+"/"+fileName+"."+fileType;
         return client.multipartUpload(key, picFile, {
            progress: progress
        }).then(function(res) {
        	saveToDB(orderId,key,fileName,fileType);
        });
    }
    ;
    var progress = function(p) {//上传成功的进度条
    	return function (done) {
  	 		 done();
  		};
    }
    ;
    var getFileURL = function(client) {
        console.log(client);
        var object = data[0].name;
        var filename = object.replace(/^.*[\\\/]/, '');
        console.log(object + ' => ' + filename);
        var result = client.signatureUrl(object, {
            response: {
                'content-disposition': 'attachment; filename="' + filename + '"'
            }
        });
        // fileRequest(result);
        //  return result;
    }
    ;
    //pic上传处理
    function picUpload() {
        applyTokenDo(uploadFile);
    }

    function getFileType(fileName){
    	var ldot = fileName.lastIndexOf('.')
    	if(ldot>=0)
    		return fileName.substring(ldot + 1);
    	else
    		return "";
    }
    
    function saveToDB(orderId,key,fileName,fileType){
    	var attachType = $("#mod-pic-attachType").val();
		var parameters = {"orderId":orderId,"attachType":attachType,"path":key,"fileName":fileName,"fileType":fileType};
		console.log(parameters);
		$.getJSON('${contextPath}/order/bdUpload',parameters,function(result){
			if(result.success){
				uploadSuccess();
			}else
				alert(result.message);
		});
    	
    }
    
    function dispatchTypeOnchange(){
    	var value = $('#dispatchType').val();
    	var st = '';
    	var obj = ['dispatch1TdRandom1','dispatch1TdRandom2','dispatch2TdRandom1','dispatch2TdRandom2'];
    	for(var i in obj){
    		$('#' + obj[i]).html('');
    	}
    	if('0' == value){
    		$('#dispatch1TdRandom1').html('<input class="form-control" id="dispatch1WlCompany" size="16" type="text" placeholder="快递公司名称">');
    		$('#dispatch1TdRandom2').html('<input class="form-control" id="dispatch1WlOrderId" size="16" type="text" placeholder="快递单号">');
    		$('#dispatch2TdRandom1').html('<input class="form-control" id="dispatch2WlCompany" size="16" type="text" placeholder="快递公司名称">');
    		$('#dispatch2TdRandom2').html('<input class="form-control" id="dispatch2WlOrderId" size="16" type="text" placeholder="快递单号">');
    		st = '快递配送';
    	}else{
    		$('#dispatch1TdRandom1').html(
				'<div class="input-group date form_datetime" data-date-format="yyyy-mm-dd  hh:ii" id="dispatch1ReachTimeDiv">' + 
	                    '<input class="form-control" id="dispatch1ReachTime" size="16" type="text" placeholder="送达时间" readonly/>' + 
						'<span class="input-group-addon"><span class="glyphicon glyphicon-th"></span></span>' + 
	            '</div>'		
			);
    		$('#dispatch2TdRandom1').html(
   				'<div class="input-group date form_datetime" data-date-format="yyyy-mm-dd  hh:ii" id="dispatch2ReachTimeDiv">' + 
   	                    '<input class="form-control" id="dispatch2ReachTime" size="16" type="text" placeholder="送达时间" readonly/>' + 
   						'<span class="input-group-addon"><span class="glyphicon glyphicon-th"></span></span>' + 
   	            '</div>'		
    		);
    		initDatetimepicker('dispatch1ReachTime');
    		initDatetimepicker('dispatch2ReachTime');
    		st = '上门配送';
    	}
    	$('#dispatch1SendType').html(st);
    	$('#dispatch2SendType').html(st);
    }
    
    function initDatetimepicker(id){
    	$('#' + id).datetimepicker({
			language: 'zh-CN',
	        weekStart: 1,
	        todayBtn:  1,
			autoclose: 1,
			todayHighlight: 1,
			startView: 2,
			forceParse: 0,
	        showMeridian: 1
	    });
    }
</script>


